(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/forms')) :
    typeof define === 'function' && define.amd ? define('ngx-typed-form-builder', ['exports', '@angular/core', '@angular/forms'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['ngx-typed-form-builder'] = {}, global.ng.core, global.ng.forms));
}(this, (function (exports, core, forms) { 'use strict';

    var NgxTypedFormBuilderService = /** @class */ (function () {
        function NgxTypedFormBuilderService(fb) {
            this.fb = fb;
        }
        NgxTypedFormBuilderService.prototype.control = function (formState, validatorOrOpts, asyncValidator) {
            return this.fb.control(formState, validatorOrOpts, asyncValidator);
        };
        NgxTypedFormBuilderService.prototype.group = function (controlsConfig, options) {
            return this.fb.group(controlsConfig, options);
        };
        NgxTypedFormBuilderService.prototype.array = function (controlsConfig, validatorOrOpts, asyncValidator) {
            return this.fb.array(controlsConfig, validatorOrOpts, asyncValidator);
        };
        return NgxTypedFormBuilderService;
    }());
    NgxTypedFormBuilderService.decorators = [
        { type: core.Injectable }
    ];
    NgxTypedFormBuilderService.ctorParameters = function () { return [
        { type: forms.FormBuilder }
    ]; };

    var NgxTypedFormBuilderModule = /** @class */ (function () {
        function NgxTypedFormBuilderModule() {
        }
        return NgxTypedFormBuilderModule;
    }());
    NgxTypedFormBuilderModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [
                        forms.FormsModule,
                        forms.ReactiveFormsModule
                    ],
                    providers: [
                        NgxTypedFormBuilderService
                    ],
                },] }
    ];

    /*
     * Public API Surface of ngx-typed-form-builder
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.NgxTypedFormBuilderModule = NgxTypedFormBuilderModule;
    exports.NgxTypedFormBuilderService = NgxTypedFormBuilderService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ngx-typed-form-builder.umd.js.map
